commit:     693e8708e2d51fd691fe899d724fa75722a22b91
Author:     Chris Mayo <aklhfex <AT> gmail <DOT> com>
AuthorDate: Thu May 18 18:44:17 2017 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu May 18 19:40:39 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=693e8708

media-gfx/scour: Fix Python dependencies and support tests

Closes: https://github.com/gentoo/gentoo/pull/4659
Package-Manager: Portage-2.3.5, Repoman-2.3.2

 media-gfx/scour/scour-0.35-r1.ebuild | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/media-gfx/scour/scour-0.35-r1.ebuild 
b/media-gfx/scour/scour-0.35-r1.ebuild
new file mode 100644
index 00000000000..6d884d56e17
--- /dev/null
+++ b/media-gfx/scour/scour-0.35-r1.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
+inherit distutils-r1
+
+DESCRIPTION="Take an SVG file and produce a cleaner and more concise file"
+HOMEPAGE="http://www.codedread.com/scour/";
+SRC_URI="https://github.com/codedread/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~hppa ~x86"
+IUSE=""
+
+RDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}"
+
+python_test() {
+       "${EPYTHON}" testscour.py -v || die "Tests fail with ${EPYTHON}"
+}

Reply via email to